gnutls_certificate_set_x509_key_file(3)

NAME
gnutls_certificate_set_x509_key_file - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_key_file(gnutls_certificate_credentials_t res, const char * certfile, const char * keyfile, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials_t structure.

const char * certfile
    is a file that containing the certificate list (path) for the specified private key, in PKCS7 format, or a list of certificates

const char * keyfile
    is a file that contains the private key

gnutls_x509_crt_fmt_t type
    is PEM or DER

DESCRIPTION
This function sets a certificate/private key pair in the gnutls_certificate_credentials_t structure. This function may be called more than once, in case multiple keys/certificates exist for the server. For clients that need to send more than its own end entity certificate, e.g., also an intermediate CA cert, then the
 certfile must contain the ordered certificate chain. This function can also accept PKCS 11 URLs at keyfile and certfile . In that case it will import the private key and certificate indicated by the URLs.

RETURNS
GNUTLS_E_SUCCESS (0) on success, or a negative error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/